--- COMBAT_LOG_EVENT_UNFILTERED
---@param e string
---@param ... any
function(allstates, e, ...)
	local subevent, err = CLEUParser.GetSubevent(...)
	if err then	return end
	local spellId, err = CLEUParser.GetSpellId(...)
	if err then	return end

	local spellname, err = CLEUParser.GetSpellName(...)
	local subevent, err = CLEUParser.GetSubevent(...)
	aura_env.LogSpell(spellname, spellId, subevent, ...)

	local eventMap = aura_env.EventMap[subevent]
	if eventMap == nil then return end
	local alert = eventMap[spellId]
	if alert == nil then return end

	local err = alert:Trigger(allstates, ...)
	if err then print(err) end

	-- aura_env.LogSpell = function(spellName, spellId, subevent, ...)
	-- 	WeakAurasSaved.Cyka.CLEUExample[#WeakAurasSaved.Cyka.CLEUExample + 1] = varargToString(spellName, spellId, subevent, ...)
	-- end
	return true
end
